---
title: Window.scrollMaxX
slug: Web/API/Window/scrollMaxX
tags:
  - API
  - Gecko
  - HTML DOM
  - Non-standard
  - Property
  - Window
---
<div>{{APIRef}} {{Non-standard_header}}</div>

<p>The <code><strong>Window.scrollMaxX</strong></code> read-only property returns the maximum number of pixels that the document can be scrolled horizontally.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>xMax</em> = window.scrollMaxX
</pre>

<ul>
 <li><code>xMax</code> is the number of pixels.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Scroll to right edge of the page
let maxX = window.scrollMaxX;

window.scrollTo(maxX, 0);
</pre>

<h2 id="Notes">Notes</h2>

<p>Do not use this property to get the total document width, which is not equivalent to <a href="/en-US/docs/DOM/window.innerWidth" title="DOM/window.innerWidth">window.innerWidth</a> + window.scrollMaxX, because {{domxref("window.innerWidth")}} includes the width of any visible vertical scrollbar, thus the result would exceed the total document width by the width of any visible vertical scrollbar. Instead use {{domxref("element.scrollWidth","document.body.scrollWidth")}}. See also {{domxref("window.scrollMaxY")}}.</p>

<h2 id="Specifications">Specifications</h2>

<p>This is not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.scrollMaxX")}}</p>
